<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hpsf.HPSFRuntimeException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hpsf.HPSFRuntimeException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/HPSFRuntimeException.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/HPSFRuntimeException.html" target="_top">Frames</a>
        </li>
        <li><a href="HPSFRuntimeException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hpsf.HPSFRuntimeException" class="title">Uses of Class<br>org.apache.poi.hpsf.HPSFRuntimeException
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
                                                    title="class in org.apache.poi.hpsf">HPSFRuntimeException</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hpsf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
                                   title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> in <a
                            href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
                                title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> in <a
                                href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html"
                                    title="class in org.apache.poi.hpsf">IllegalPropertySetDataException</a></span></code>
                                <div class="block">This exception is thrown when there is an illegal value set in a
                                    <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                       title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/MissingSectionException.html"
                                    title="class in org.apache.poi.hpsf">MissingSectionException</a></span></code>
                                <div class="block">This exception is thrown if one of the <a
                                        href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                        title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>'s
                                    convenience methods does not find a required <a
                                            href="../../../../../org/apache/poi/hpsf/Section.html"
                                            title="class in org.apache.poi.hpsf"><code>Section</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/NoFormatIDException.html"
                                    title="class in org.apache.poi.hpsf">NoFormatIDException</a></span></code>
                                <div class="block">This exception is thrown if a <a
                                        href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                        title="class in org.apache.poi.hpsf"><code>PropertySet</code></a> is to be
                                    written
                                    but does not have a formatID set (see <a
                                            href="../../../../../org/apache/poi/hpsf/Section.html#setFormatID-org.apache.poi.hpsf.ClassID-"><code>Section.setFormatID(ClassID)</code></a>
                                    or
                                    <a href="../../../../../org/apache/poi/hpsf/Section.html#setFormatID-byte:A-"><code>Section.setFormatID(byte[])</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/NoSingleSectionException.html"
                                    title="class in org.apache.poi.hpsf">NoSingleSectionException</a></span></code>
                                <div class="block">This exception is thrown if one of the <a
                                        href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                        title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>'s
                                    convenience methods that require a single <a
                                            href="../../../../../org/apache/poi/hpsf/Section.html"
                                            title="class in org.apache.poi.hpsf"><code>Section</code></a> is called
                                    and the <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                               title="class in org.apache.poi.hpsf"><code>PropertySet</code></a> does
                                    not contain exactly one <a href="../../../../../org/apache/poi/hpsf/Section.html"
                                                               title="class in org.apache.poi.hpsf"><code>Section</code></a>.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/HPSFRuntimeException.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/HPSFRuntimeException.html" target="_top">Frames</a>
        </li>
        <li><a href="HPSFRuntimeException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
